•  
      request #13029 Fix deprecations introduced by Composer 1.8.1
    Infos
    #13029
    Thomas Gerbet (tgerbet)
    2019-02-26 10:13
    2019-02-25 16:11
    13082
    Details
    Fix deprecations introduced by Composer 1.8.1
    Since Composer 1.8.1 a deprecation warning is thrown when a package name uses uppercase letters.

    Tuleap has 2 cases where it happens:
    Deprecation warning: require.Luracast/Restler is invalid, it should not contain uppercase characters. Please use luracast/restler instead. Make sure you fix this as Composer 2.0 will error.
    Deprecation warning: require-dev.mikey179/vfsStream is invalid, it should not contain uppercase characters. Please use mikey179/vfsstream instead. Make sure you fix this as Composer 2.0 will error.
    internal improvement
    Other
    Empty
    Empty
    Empty
    Stage
    Empty
    Closed
    2019-02-26
    Attachments
    Empty
    References

    List of items referenced by or referencing this item.

    Artifact Tracker v5

    Follow-ups